<template>
    <div class="cont" style="width: 100%;">
      <el-card class="u-post-card" style="width: 100%;">
        <h5 class="c-title">我的帖子</h5>
        <div class="card-cont" style="width: 100%;" v-for="(post,index) in postList.arr" >
                <el-row class="post-time">
                 <el-icon><AlarmClock /></el-icon>
                {{ post.create_time }} 
                </el-row>
                <el-row class="p-title" @click="toPostDatail(post.id)">
                    {{ post.title }}
                </el-row>
                <el-row class="p-srcl"  v-if="post.type_id == 1">
                    <el-image
                    v-for="(item,index) in post.urlList" :key="index"
                        style="width: 120px; height: 120px"
                        :src="`api/schoolCloud/${item}`"
                        :zoom-rate="1.2"
                        :preview-src-list="lunBoList"
                        :initial-index="index"
                        fit="cover"
                        />
                </el-row>
                <el-row v-else-if="post.type_id == 2">
                    <video
                                    width="520"
                                    height="270"
                                    :src="`api/schoolCloud/${post.video}`"
                                    controls
                                >
                                    您的浏览器不支持 video 标签。
                                </video>
                </el-row>
                <el-row class="p-foot" >
                    <el-col :span="13" class="p-tag-list">
                        <el-tag class="ml-2" type="info" round>每日一水</el-tag>
                        <el-tag class="ml-2" type="info" round>hhhh</el-tag>
                    </el-col>
                    <el-col :span="11" class="p-icon-list">
                        <el-row>
                            <el-col :span="8">
                                <el-icon><View /></el-icon>
                                18
                            </el-col>
                            <el-col :span="8">
                                <el-icon><ChatDotSquare /></el-icon>
                                {{ post.collNum }}
                            </el-col>
                            <el-col :span="8">
                                <el-icon><Pointer /></el-icon>
                                6
                            </el-col>
                        </el-row>
                    </el-col>
                </el-row>
        </div>
      </el-card>
    </div>
  </template>
  
  <script lang="ts" setup>
  import { onMounted, onUpdated, ref } from 'vue';
  import axios from 'axios';
  import qs from 'qs';
  import { reactive } from 'vue';
  import { useRoute, useRouter } from 'vue-router';
  const lunBoList = [
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
          ];
  onMounted(() => {
      geeAll();
          }
  )
  // onUpdated(() => {
  //     geeAll();
  // })
  const geeAll=()=>{
      axios.post('/api/schoolCloud/pages/myCenter/selMyPost.php',qs.stringify({uid:localStorage.getItem("Userid")}))
          .then(res => {
            console.log('9999');
            
            console.log(res.data)  
            postList.arr = res.data;
            (postList.arr).forEach(element => {
              // getPimg(parseInt(element.id))
              axios.post('/api/schoolCloud/pages/selectPimg.php', qs.stringify({pid:element.id}))
                  .then(res => {
                      Reflect.set(element, 'urlList', res.data)
                  // 根据返回的响应数据进行相应的操作
                  }).catch(err => {
                  console.log(err)
                  });
                  // axios.post('/api/schoolCloud/pages/selectUser.php', qs.stringify({uid:element.user_id}))
                  // .then(res => {                    
                  //     userss.value.push(res.data);
                  // // 根据返回的响应数据进行相应的操作
                  // }).catch(err => {
                  // console.log(err)
                  // })
            });       
              // 根据返回的响应数据进行相应的操作
              }).catch(err => {
              console.log(err)
              })
  }
  // $router.push('/postDeils')
  const postList = reactive({
      arr:[
          {
                      id:0,
                      title:'',
                      coment:'',
                      avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                      uname:'1112',
                      user_id:0,
                      comments:0,
                      up:0,
                      collection:0,
                      create_time:'',
                      collNum:2,
                      Views:0,
                      type_id:0,
                      topic_id:0,
                      urlList:[],
                      video:'',
  
                  },
  ],
  users:[
      {
          Phone: "18174462803",
      avater: "/assets/image/avater/avater1.jpg",
      city_id: "1",
      class: "213546",
      creat_time: "2023-05-18",
      id: "1",
      paw: "qq123124",
      pro_id: "15",
      school: "张家界航院",
      school_id: "2",
      sex: "男",
      signature: "时有好梦，亦怀爱意，向人间老去。",
      uname: "芹菜粉",
      user_type: "3",
      utype:'',
      postNum:0,
      collNum:0,
      replyNum:0,
      }
  ]
  })
  const userList = reactive([
                          {
                          uid:1,
                          avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                          name:'靛蓝二乘',
                          sign:'时有好梦，亦怀爱意，向人间老去',
                          postNum:12,
                          Fans:11,
                          Atten:20,
                      },
                      {
                          uid:2,
                          avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                          name:'芹菜粉',
                          sign:'阿尔吉侬的花束',
                          postNum:9,
                          Fans:6,
                          Atten:10,
                      },
                      {
                          uid:2,
                          avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                          name:'芹菜粉',
                          sign:'阿尔吉侬的花束',
                          postNum:9,
                          Fans:6,
                          Atten:10,
                      },
                      {
                          uid:2,
                          avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                          name:'芹菜粉',
                          sign:'阿尔吉侬的花束',
                          postNum:9,
                          Fans:6,
                          Atten:10,
                      },
                      {
                          uid:2,
                          avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                          name:'芹菜粉',
                          sign:'阿尔吉侬的花束',
                          postNum:9,
                          Fans:6,
                          Atten:10,
                      }
                      ])
  const router = useRouter();
  const toPostDatail = (pid:number)=>{
      router.push({ path: `/postDeils/${pid}` });
  }
  </script>
  <style lang="less">
.cont{
    // padding: 10px;
    .u-post-card{
        .c-title{
            font-size: 20px;
            // font-weight: 700;
            padding-bottom: 10px ;
            border-bottom: 1px rgb(215, 215, 215) solid;
        }
        .card-cont{
            padding: 10px;
            .post-time{
                color: #999;
                .el-icon{
                    margin-right: 10px;
                }
            }
            .el-row{
                padding-bottom: 10px;
            }
            .p-title{
                font-size: 18px;
                font-weight: 700;
            }
            .p-title:hover{
                color: rgb(92, 190, 239);
            }
            .p-srcl{
                .el-image{
                    margin-right:5px;
                }
            }
            .p-foot{
                border-bottom: 1px rgb(215, 215, 215) solid;
                .p-icon-list{
                    font-size: 18px;
                    color: #999;
                }
            }
            
        }
    }
}
  </style>